package com.example.enumeration;

public enum Suit {

	// each constant implicitly declared as public static final member
	// call constructor here
	HEART("Heart"), CLUB("Club"), SPADE("Spade"), DIAMOND("Diamond");

	private String name;

	public String getName() {
		return name;
	}

	private Suit(String name) {
		this.name = name;
	}
}
